---
search:
  tags:
    - Lookup
    - POST
seo:
  description: >-
    fields=versions returns only the section versions, for daily change checks.
    Reference for the POST /v1/lookup:batch endpoint in the Accquix Register
    API.
sidebar:
  label: Look up up to 100 identifiers
  badge: POST
title: Look up up to 100 identifiers
type: openapi-operation
---
fields=versions returns only the section versions, for daily change checks.

`POST /v1/lookup:batch`

**Request body** (`application/json`, required)

- `fields` (string) — versions returns only each section's state and version
- `ids` (string[] | null, required)

Request body example:

```json
{
  "fields": "all",
  "ids": [
    "string"
  ]
}
```

**Responses**

- `200` — OK
- `400` — Bad Request
- `401` — Unauthorized
- `422` — Unprocessable Entity
- `429` — Too Many Requests
- `500` — Internal Server Error
- `503` — Service Unavailable

Response example, 200:

```json
{
  "attribution": [
    "string"
  ],
  "items": [
    {
      "code": "string",
      "id": "string",
      "result": {
        "attribution": [
          "string"
        ],
        "subjects": [
          {
            "ico": "string",
            "identity": {
              "active": true,
              "address": {
                "buildingNumber": "string",
                "country": "string",
                "municipality": "string",
                "postalCode": "string",
                "street": "string"
              },
              "establishedOn": "string",
              "icoChecksumValid": true,
              "kind": "legal_person",
              "legalForm": "string",
              "legalFormCode": "string",
              "name": "string",
              "registrations": [
                {
                  "active": true,
                  "name": "string",
                  "number": "string",
                  "office": "string",
                  "register": "string",
                  "registerCode": "string",
                  "terminatedOn": "string",
                  "validFrom": "string"
                }
              ],
              "source": {
                "asOf": "string",
                "changedAt": "2019-08-24T14:15:22Z",
                "dataset": "string",
                "stale": true,
                "version": "string"
              },
              "state": "present",
              "terminatedOn": "string"
            },
            "risk": {
              "entries": [
                {
                  "attrs": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "dataset": "string"
                }
              ],
              "reliabilityIndex": "string",
              "source": {
                "asOf": "string",
                "changedAt": "2019-08-24T14:15:22Z",
                "dataset": "string",
                "stale": true,
                "version": "string"
              },
              "state": "present"
            },
            "tax": {
              "dic": "string",
              "source": {
                "asOf": "string",
                "changedAt": "2019-08-24T14:15:22Z",
                "dataset": "string",
                "stale": true,
                "version": "string"
              },
              "state": "present"
            },
            "vat": {
              "icDph": "string",
              "name": "string",
              "paragraph": "§4",
              "payer": true,
              "payerFrom": "string",
              "registeredOn": "string",
              "source": {
                "asOf": "string",
                "changedAt": "2019-08-24T14:15:22Z",
                "dataset": "string",
                "stale": true,
                "version": "string"
              },
              "state": "present",
              "typeChangedOn": "string"
            }
          }
        ],
        "taxpayer": {
          "dic": "string",
          "municipality": "string",
          "name": "string",
          "source": {
            "asOf": "string",
            "changedAt": "2019-08-24T14:15:22Z",
            "dataset": "string",
            "stale": true,
            "version": "string"
          }
        },
        "type": "ico"
      },
      "status": 0,
      "versions": [
        {
          "property1": {
            "state": "string",
            "version": "string"
          },
          "property2": {
            "state": "string",
            "version": "string"
          }
        }
      ]
    }
  ]
}
```
